Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
analyses
/
{analysis_id}
/
metrics
/
brand_perception
/
attributes_hierarchy_tree
Hierarchical Perception Tree View
curl --request GET \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{analysis_id}/metrics/brand_perception/attributes_hierarchy_tree \
  --header 'Authorization: <api-key>'
{
  "name": "<string>",
  "children": [
    {
      "name": "<string>",
      "value": 123,
      "children": [
        {
          "name": "<string>",
          "value": 123,
          "children": [
            {
              "name": "<string>",
              "value": 123,
              "children": [
                {
                  "name": "<string>",
                  "value": 123
                }
              ]
            }
          ]
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

analysis_id
string<uuid>
required

A UUID string identifying the analysis.

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Query Parameters

brand
string

Filter by one specific brand.

brand__in
string

Filter by a list of brands. Values should be comma separated, without brackets or spaces

cluster__in
string

Filter by a list of clusters. Values should be comma separated, without brackets or spaces

cluster_group
enum<string>
required

Filter by one specific cluster group.

Available options:
all_cons,
all_pros
collection_date
string<date>

Filter by a collection date being equal to the specified date. YYYY-MM-DD format

collection_date__gt
string<date>

Filter by a collection date being greater than the specified date. YYYY-MM-DD format

collection_date__gte
string<date>

Filter by a collection date being greater than or equal the specified date. YYYY-MM-DD format

collection_date__lt
string<date>

Filter by a collection date being less than the specified date. YYYY-MM-DD format

collection_date__lte
string<date>

Filter by a collection date being less than or equal the specified date. YYYY-MM-DD format

country
string

Filter by one specific country.

country__in
string

Filter by a list of countries. Values should be comma separated, without brackets or spaces

format
enum<string>
Available options:
csv,
json
persona
string

Filter by one specific persona.

persona__in
string

Filter by a list of personas. Values should be comma separated, without brackets or spaces

source
enum<string>

Filter by one specific source.

Available options:
claude-3-5-sonnet,
claude-4-5-sonnet,
claude-4-6-sonnet,
claude-4-sonnet,
deepseek-chat,
deepseek-reasoner,
gemini-1.5-pro,
gemini-2.0-flash,
gemini-2.5-flash,
gemini-2.5-flash-grounded,
gemini-2.5-flash-lite,
gemini-3-flash-preview,
google-ai-mode,
gpt-3.5-turbo,
gpt-4-turbo,
gpt-4o,
gpt-4o-mini-search,
gpt-5,
gpt-5.2,
gpt-5.4-mini,
meta-llama-3.1-70B-instruct-turbo,
meta-llama-3.2-70B-instruct-turbo,
meta-llama-3.3-70B-instruct-turbo,
meta-llama-4-maverick,
mistral-7B-instruct,
perplexity-sonar,
rufus
source__in
enum<string>

Filter by a list of sources. Values should be comma separated, without brackets or spaces

Available options:
claude-3-5-sonnet,
claude-4-5-sonnet,
claude-4-6-sonnet,
claude-4-sonnet,
deepseek-chat,
deepseek-reasoner,
gemini-1.5-pro,
gemini-2.0-flash,
gemini-2.5-flash,
gemini-2.5-flash-grounded,
gemini-2.5-flash-lite,
gemini-3-flash-preview,
google-ai-mode,
gpt-3.5-turbo,
gpt-4-turbo,
gpt-4o,
gpt-4o-mini-search,
gpt-5,
gpt-5.2,
gpt-5.4-mini,
meta-llama-3.1-70B-instruct-turbo,
meta-llama-3.2-70B-instruct-turbo,
meta-llama-3.3-70B-instruct-turbo,
meta-llama-4-maverick,
mistral-7B-instruct,
perplexity-sonar,
rufus
translate_to_en
boolean

If true, translates clusters and attributes to English. Defaults to false.

Response

Base class with necessary methods overridden

name
string
required
children
object[]
required